package ru.yandex.direct.api.v5.entity.dictionaries.validation;

import ru.yandex.direct.api.v5.validation.DefectType;
import ru.yandex.direct.api.v5.validation.DefectTypes;

public class DictionariesDefectTypes {

    public static DefectType clientsMustUseNewVersionOfAndroidApplication() {
        return DefectTypes.notSupported()
                .withDetailedMessage((path, value) -> translations().mustUseNewVersionOfApplication());
    }

    private static DictionariesDefectTranslations translations() {
        return DictionariesDefectTranslations.INSTANCE;
    }
}
